%define	major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	QR Code encoder into PNG image
Name:		qrencode
Version:	3.4.3
Release:	%mkrel 2
Group:		File tools
License:	LGPLv2+
URL:		http://megaui.net/fukuchi/works/qrencode/index.en.html
Source0:	http://megaui.net/fukuchi/works/qrencode/%{name}-%{version}.tar.bz2
BuildRequires:	libpng-devel
BuildRequires:	doxygen
#for tests
BuildRequires:	pkgconfig(sdl)

%description
Qrencode is a utility software using libqrencode to encode string data in a
QR Code and save as a PNG image.

%package -n %{libname}
Summary:	A C library for encoding data in a QR Code symbol
Group:		System/Libraries

%description -n	%{libname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

%package -n %{devname}
Summary:	The development files for the qrencode library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}qrencode1-devel

%description -n	%{devname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

This package contains the development files for the qrencode library.

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--with-tools \
	--with-tests
%make

%install
%makeinstall_std

# update doxyfiles
doxygen -u

# manual
doxygen

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
pushd tests
	./test_all.sh
popd

%files
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%doc ChangeLog NEWS README TODO html/
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.4.3-2.mga4
+ Revision: 532945
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 wally <wally> 3.4.3-1.mga4
+ Revision: 470360
- new version 3.4.3
- clean .spec

* Mon Jun 03 2013 fwang <fwang> 3.4.2-2.mga4
+ Revision: 436190
- rebuild for new libpng

* Sun Apr 07 2013 wally <wally> 3.4.2-1.mga3
+ Revision: 408757
- new version 3.4.2

* Sun Jan 13 2013 umeabot <umeabot> 3.4.1-2.mga3
+ Revision: 379877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 wally <wally> 3.4.1-1.mga3
+ Revision: 322671
- new version 3.4.1

* Tue May 29 2012 wally <wally> 3.3.1-1.mga3
+ Revision: 249300
- new version 3.3.1
- clean .spec

* Tue Mar 06 2012 wally <wally> 3.2.0-1.mga2
+ Revision: 220472
- build and enable tests
- drop P0
- new version 3.2.0
- clean .spec a bit

* Thu Sep 15 2011 fwang <fwang> 3.1.1-4.mga2
+ Revision: 143746
- recognize png

* Thu Mar 24 2011 boklm <boklm> 3.1.1-4.mga1
+ Revision: 76203
- rebuild for bug #497

* Thu Mar 17 2011 wally <wally> 3.1.1-3.mga1
+ Revision: 73430
- drop buildroot definition
- clean .spec a bit
- imported package qrencode


* Sun Jan 09 2011 Jani Välimaa <wally@mandriva.org> 3.1.1-2mdv2011.0
+ Revision: 630746
- drop support for old mdv releases

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 3.1.1-1mdv2011.0
+ Revision: 550023
- new version 3.1.1
- fix summary/description
- build doxygen docs
- clean spec

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 3.0.3-3mdv2010.0
+ Revision: 433041
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.0.3-2mdv2009.0
+ Revision: 269054
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 216514
- New version 3.0.3

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 90202
- rebuild

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 16112
- Import qrencode



* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2008.0
- initial Mandriva package
